%**********************************************************************;
%* Copyright (c) 2014 by SAS Institute Inc., Cary, NC, USA.            ;
%*                                                                     ;
%* NAME:          rsk_dsexist                                          ;
%*                                                                     ;
%* PURPOSE:       Checks whether a SAS data set or view exists         ;
%*                                                                     ;
%* USAGE:         %rsk_dsexist(ds)                                     ;
%*                ds    : (pos) data set name                          ;
%* output:        if return 0, then ds does not exist.
                  if return 1, then ds exist.                          ;
%**********************************************************************;
%macro rsk_dsexist(DS);


   %if (%sysfunc(exist(&DS)) ne 1)
   and (%sysfunc(exist(&DS, VIEW)) ne 1) %then %do;
      0
   %end;
   %else %do;
      1
   %end;
   

%mend rsk_dsexist;
