/*
 Copyright (C) 2017 SAS Institute Inc. Cary, NC, USA
*/

/**
   \file

   \details PURPOSE: Creates a directory, including any intermediate      
                     parent directories that do not exist, and then verifies  
                     that the directory actually exists.  If it does not, 
                     issues an error message and terminates the SAS run.

            USAGE:    %rsk_mkdirs_and_verify(dir)    
            
   <b> Identified Inputs </b>
   \param[in]  dir     : relative or absolute pathname

    \ingroup Utility
   
    \author SAS Institute INC.
    \date 2017
    
 */
 
%macro rsk_mkdirs_and_verify(DIR);
   %rsk_mkdirs(&DIR);
   %if (%sysfunc(fileexist(&DIR)) = 0) %then %do;
      %put "ERROR: Directory &DIR could not be created.";
      %rsk_terminate;
      %return;
   %end;

%mend rsk_mkdirs_and_verify;
