/*
 Copyright (C) 2015 SAS Institute Inc. Cary, NC, USA
*/

/**
   \file
   \brief The macro prints message text to the log.
      
  <b> Identified Inputs </b>
      
   \param[in]  key                Massage key value
  
   \param[in]  s1                 Message optional value
   
   \param[in]  s2                 Message optional value

   \param[in]  s3                 Message optional value

   \param[in]  s4                 Message optional value

   \param[in]  s5                 Message optional value
      
   \param[in]  s6                 Message optional value

   \param[in]  s7                 Message optional value

   \ingroup Utility
   
    \author SAS Institute INC.
    \date 2015
    
 */
 %macro rsk_print_msg(KEY, s1, s2, s3, s4, s5, s6, s7);

   %local TEXT;
  
   %if (%bquote(&S7) ne ) %then %do;
      %let text = %str(&KEY.  &s1.  &s2.  &s3.  &s4.  &s5.   &s6.   &s7.);
   %end;
   %else %if (%bquote(&s6) ne ) %then %do;
      %let text = %str(&KEY.  &s1.  &s2.  &s3.  &s4.  &s5.   &s6.);
   %end;
   %else %if (%bquote(&s5) ne ) %then %do;
      %let text = %str(&KEY.  &s1.  &s2.  &s3.  &s4.  &s5.);
   %end;
   %else %if (%bquote(&s4) ne ) %then %do;
      %let text = %str(&KEY.  &s1.  &s2.  &s3.  &s4.);
   %end;
   %else %if (%bquote(&s3) ne ) %then %do;
      %let text = %str(&KEY.  &s1.  &s2.  &s3.);
   %end;
   %else %if (%bquote(&s2) ne ) %then %do;
      %let text = %str(&KEY.  &s1.  &s2.);
   %end;
   %else %if (%bquote(&s1) ne ) %then %do;
      %let text = %str(&KEY.  &s1.);
   %end;
   %else %do;
      %let text = %str(&KEY.);
   %end;

   /* Print to the log. */
   %put &text.;

%mend rsk_print_msg;
